Compute V1 Client - Class RegionInstanceGroupManagersListErrorsResponse (2.17.0)

Reference documentation and code samples for the Compute V1 Client class RegionInstanceGroupManagersListErrorsResponse.

Generated from protobuf message google.cloud.compute.v1.RegionInstanceGroupManagersListErrorsResponse

Namespace

Google \ Cloud \ Compute \ V1

Methods

__construct

Constructor.

Parameters
Name Description
data array

Optional. Data for populating the Message object.

↳ items array<InstanceManagedByIgmError>

[Output Only] The list of errors of the managed instance group.

↳ next_page_token string

Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

getItems

[Output Only] The list of errors of the managed instance group.

Returns
Type Description
Google\Protobuf\RepeatedField<InstanceManagedByIgmError>

setItems

[Output Only] The list of errors of the managed instance group.

Parameter
Name Description
var array<InstanceManagedByIgmError>
Returns
Type Description
$this

getNextPageToken

Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request.

Subsequent list requests will have their own nextPageToken to continue paging through the results.

Returns
Type Description
string

hasNextPageToken

clearNextPageToken

setNextPageToken

Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request.

Subsequent list requests will have their own nextPageToken to continue paging through the results.

Parameter
Name Description
var string
Returns
Type Description
$this